package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbObjectImpl;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbAlterTableValidation extends MariadbObjectImpl implements SQLAlterTableItem {
   private boolean withValidation;

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public boolean isWithValidation() {
      return this.withValidation;
   }

   public void setWithValidation(boolean withValidation) {
      this.withValidation = withValidation;
   }
}
